library(car)


data_predictions1 <- readRDS("Data/predictions.RDS")
data_predictions2 <- readRDS("Data/predictions_labeled.RDS")

data_predictions <- bind_rows(data_predictions1, data_predictions2)

database <- left_join(database_full, data_predictions, by="id")



database <- database %>% 
  filter(!is.na(Treatment_new)) %>%
  mutate(Dummy_Treated = case_when(Treatment_new == 1|Treatment_new == 2  ~ 1, TRUE ~ 0),
         Dummy_Vol_Treated = case_when(Treatment_new == 5 |Treatment_new == 4 ~ 1, TRUE ~ 0),
         Dummy_no_info = case_when(Treatment_new == 3 ~ 1, TRUE~0)) %>% 
  mutate(Matching_Group = case_when(Dummy_Treated == 1 & PredictedGroup == 1 ~"Treat Pred",
                                    Dummy_Treated == 1 & PredictedGroup == 0 ~"Treat Not Pred",
                                    Treatment_A == "Vol_Treated" & PredictedGroup == 1 ~ "Opt Pred",
                                    Treatment_A == "Vol_Treated" & PredictedGroup == 0 ~ "Opt Not Pred",
                                    Treatment_new == 6 & PredictedGroup == 0 ~ "Control Pred",
                                    TRUE ~ "Control Not Pred"))

data <- database %>%
  group_by(id) %>%
  dplyr::slice(1) %>%
  ungroup()


data$Treatment_C <- as.factor(data$Treatment_C)
data$Treatment_D <- as.factor(data$Treatment_D)
data$Treatment_C <- relevel(data$Treatment_C, ref = "No Treatment 3")
data$Treatment_D <- relevel(data$Treatment_D, ref = "No Treatment 3")
ols_time_spent_A<- lm( interviewtime_net_clean ~ as.factor(Treatment_A) ,data)
summary(ols_time_spent_A)
ols_time_spent_control_A<- lm( interviewtime_net_clean ~ as.factor(Treatment_A) + Z_Mean_NR + as.factor(Gender)+Age_mean+ QFIncome + Uni_degree,data)
summary(ols_time_spent_control_A)

ols_time_spent_B<- lm( interviewtime_net_clean ~ as.factor(Treatment_B) ,data)
summary(ols_time_spent_B)
ols_time_spent_control_B<- lm( interviewtime_net_clean ~ as.factor(Treatment_B) + Z_Mean_NR + as.factor(Gender)+Age_mean + QFIncome +Uni_degree,data)
summary(ols_time_spent_control_B)
ols_time_spent_C<- lm( interviewtime_net_clean ~ as.factor(Treatment_C) ,data)
summary(ols_time_spent_C)
ols_time_spent_control_C<- lm( interviewtime_net_clean ~ as.factor(Treatment_C) + Z_Mean_NR + as.factor(Gender)+Age_mean+ QFIncome + Uni_degree,data)
summary(ols_time_spent_control_C)
ols_time_spent_D<- lm( interviewtime_net_clean ~ as.factor(Treatment_D) ,data)
summary(ols_time_spent_D)
ols_time_spent_control_D<- lm( interviewtime_net_clean ~ as.factor(Treatment_D) + Z_Mean_NR + as.factor(Gender)+Age_mean+ QFIncome + Uni_degree,data)
summary(ols_time_spent_control_D)

ols_time_spent_control_G<- lm( interviewtime_net_clean ~ as.factor(Matching_Group) + Z_Mean_NR + as.factor(Gender)+Age_mean+ QFIncome + Uni_degree,data)
summary(ols_time_spent_control_G)



ols_time_cc_A<- lm( CC_time_mean_clean ~ as.factor(Treatment_A) ,data)
summary(ols_time_cc_A)
ols_time_cc_control_A<- lm( CC_time_mean_clean ~ as.factor(Treatment_A) + Z_Mean_NR + as.factor(Gender)+Age_mean + QFIncome +Uni_degree,data)
summary(ols_time_cc_control_A)

ols_time_cc_B<- lm( CC_time_mean_clean ~ as.factor(Treatment_B) ,data)
summary(ols_time_cc_B)
ols_time_cc_control_B<- lm( CC_time_mean_clean ~ as.factor(Treatment_B) + Z_Mean_NR + as.factor(Gender)+Age_mean + QFIncome + Uni_degree,data)
summary(ols_time_cc_control_B)
ols_time_cc_C<- lm( CC_time_mean_clean ~ as.factor(Treatment_C) ,data)
summary(ols_time_cc_C)
ols_time_cc_control_C<- lm( CC_time_mean_clean ~ as.factor(Treatment_C) + Z_Mean_NR + as.factor(Gender)+Age_mean + QFIncome +Uni_degree,data)
summary(ols_time_cc_control_C)
ols_time_cc_D<- lm( CC_time_mean_clean ~ as.factor(Treatment_D) ,data)
summary(ols_time_cc_D)
ols_time_cc_control_D<- lm( CC_time_mean_clean ~ as.factor(Treatment_D) + Z_Mean_NR + as.factor(Gender)+Age_mean + QFIncome +Uni_degree,data)
summary(ols_time_cc_control_D)


ols_time_cc_control_G<- lm( CC_time_mean_clean ~ as.factor(Matching_Group) + Z_Mean_NR + as.factor(Gender)+Age_mean + QFIncome +Uni_degree,data)
summary(ols_time_cc_control_G)
# # Create an HTML results table with customized names and stars
# results_table_5 <- stargazer(
#   ols_tme_spent_1, ols_tme_spent_control_1, 
#   align = TRUE,
#   type = "html",
#   dep.var.labels = "Interview Time (without Treatments)",
#   covariate.labels = c("Treated_A", "Treated_B","No Info choosen", "Video 1", "Video 2",  "Text 1", "Text 2",
#                        "Female", "Divers", "Age", "mittlere Reife", "Abitur", "Berufsausbildung",
#                        "Hochschulabschluss") ,
#   star.cutoffs = c(0.1, 0.05, 0.01),  # Custom significance levels
#   star.char = c("*", "**", "***")  # Custom significance stars
# )
# 
# # Save the HTML table to a file
# writeLines(results_table_5, "Estimation_results/ols/time_spent_1.html")
# 
# # Create an HTML results table with customized names and stars
# results_table_6 <- stargazer(
#   ols_tme_spent_2, ols_tme_spent_control_2, 
#   align = TRUE,
#   type = "html",
#   dep.var.labels = "Interview Time (without Treatments)",
#   covariate.labels = c("Video", "No Info choosen", "Text",
#                        "Female", "Divers", "Age", "mittlere Reife", "Abitur", "Berufsausbildung",
#                        "Hochschulabschluss") ,
#   star.cutoffs = c(0.1, 0.05, 0.01),  # Custom significance levels
#   star.char = c("*", "**", "***")  # Custom significance stars
# )
# 
# # Save the HTML table to a file
# writeLines(results_table_6, "Estimation_results/ols/time_spent_2.html")

